package com.ruoyi.system.domain.project;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目(添加线索)对象 bm_project
 * 
 * @author bm
 * @date 2021-03-03
 */
public class BmProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id* */
    private Long id;

    /** 项目名称* */
    @Excel(name = "项目名称*")
    private String name;

    /** 产业类别(首位产业、战略新兴) */
    @Excel(name = "产业类别(首位产业、战略新兴)")
    private String industryCategory;

    /** 所属行业(数据字典)* */
    @Excel(name = "所属行业(数据字典)*")
    private String industry;

    /** 是否返乡创业* */
    @Excel(name = "是否返乡创业*")
    private String isBackbussiness;

    /** 项目状态(数据字典)* */
    @Excel(name = "项目状态(数据字典)*")
    private Long projectStatus;


    /** 项目状态(数据字典)中的名称* */
    private String dictLabel;

    /** 填报单位* */
    @Excel(name = "填报单位*")
    private Long deptId;

    /** 总投资金额 */
    @Excel(name = "总投资金额")
    private BigDecimal totAmt;


    /** 合同约定开工时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同约定开工时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderBeginTime;

    /** 合同约定竣工时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同约定竣工时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderEndTime;

    /**
     * 填报单位
     */
    @Excel(name = "填报单位")
    private String deptName;

    public String getDictLabel() {
        return dictLabel;
    }

    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setIndustryCategory(String industryCategory) 
    {
        this.industryCategory = industryCategory;
    }

    public String getIndustryCategory() 
    {
        return industryCategory;
    }
    public void setIndustry(String industry) 
    {
        this.industry = industry;
    }

    public String getIndustry() 
    {
        return industry;
    }
    public void setIsBackbussiness(String isBackbussiness) 
    {
        this.isBackbussiness = isBackbussiness;
    }

    public String getIsBackbussiness() 
    {
        return isBackbussiness;
    }
    public void setProjectStatus(Long projectStatus) 
    {
        this.projectStatus = projectStatus;
    }

    public Long getProjectStatus() 
    {
        return projectStatus;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setTotAmt(BigDecimal totAmt) 
    {
        this.totAmt = totAmt;
    }

    public BigDecimal getTotAmt() 
    {
        return totAmt;
    }

    public void setOrderBeginTime(Date orderBeginTime) 
    {
        this.orderBeginTime = orderBeginTime;
    }

    public Date getOrderBeginTime() 
    {
        return orderBeginTime;
    }
    public void setOrderEndTime(Date orderEndTime) 
    {
        this.orderEndTime = orderEndTime;
    }

    public Date getOrderEndTime() 
    {
        return orderEndTime;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }


    @Override
    public String toString() {
        return "BmProject{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", industryCategory='" + industryCategory + '\'' +
                ", industry='" + industry + '\'' +
                ", isBackbussiness='" + isBackbussiness + '\'' +
                ", projectStatus=" + projectStatus +
                ", dictLabel='" + dictLabel + '\'' +
                ", deptId=" + deptId +
                ", totAmt=" + totAmt +
                ", orderBeginTime=" + orderBeginTime +
                ", orderEndTime=" + orderEndTime +
                ", deptName='" + deptName + '\'' +
                '}';
    }
}
